﻿using Syncfusion.WinForms.DataGrid.Interactivity;
using Syncfusion.WinForms.ListView;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ColumnTypes
{
    public partial class Form2 : Form
    {
        Form1 dataGridForm = new Form1();        
        public Form2()
        {
            InitializeComponent();            
        }

        public Form2(Form mainForm)
        {
            dataGridForm = mainForm as Form1;
            InitializeComponent();
            List<string> list = new List<string>();
            list.Add("Sycnfusion");
            list.Add("DataGrid");
            list.Add("TreeGrid");
            list.Add("DataPager");
            list.Add("Syncfusion");
            list.Add("DataGrid");
            sfListView1.DataSource = list;
            this.sfListView1.SelectionChanged += SfListView1_SelectionChanged;
        }

        private void SfListView1_SelectionChanged(object sender, Syncfusion.WinForms.ListView.Events.ItemSelectionChangedEventArgs e)
        {
           var data = (sender as Syncfusion.WinForms.ListView.SfListView).SelectedItem;
            this.Close();
            var sfDataGrid = this.dataGridForm.sfDataGrid1;
            if (sfDataGrid.CurrentCell != null && sfDataGrid.CurrentCell.RowIndex >= 0)
            {
                var rowIndex = sfDataGrid.CurrentCell.RowIndex;
                sfDataGrid.View.GetPropertyAccessProvider().SetValue(sfDataGrid.GetRecordAtRowIndex(rowIndex), sfDataGrid.Columns["CustomerID"].MappingName, data);
            }
        }
    }
}
